X2Go Bug report logs - #673
GUI-based Applications stall when x2go session is suspended

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Jerry Rabe <jdr@wi.rr.com>

Date: Thu, 13 Nov 2014 16:25:01 UTC

Severity: important

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#673; Package x2goserver. (Thu, 13 Nov 2014 16:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerry Rabe <jdr@wi.rr.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message had a Version: pseudo-header with an invalid package version:

4.0.1.15-2.el7 x86_64

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 13 Nov 2014 16:25:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jerry Rabe <jdr@wi.rr.com>
To: submit@bugs.x2go.org
Subject: GUI-based Applications stall when x2go session is suspended
Date: Thu, 13 Nov 2014 10:12:23 -0600
Package: x2goserver
Version:  4.0.1.15-2.el7  x86_64

When an x2go session is suspended, any running GUI-based application
will stall as soon as it tries to update graphical information in the
GUI.  This was not the case with the old freenx server, and it is a
problem for large jobs that take a long time to run.  Not sure if this
is just a configuration/install problem.
What does NOT stall:
 - Text-based output from command line-based shell scripts.
 - GUI-based applications running in suspended x2go sessions as
Published Applications.
What DOES Stall:
 - GUI-based applications running in suspended x2go sessions (accessed
by X2GoClient) on a Linux Desktop (i,.e. MATE, XFCE)
 - GUI-based applications running in suspended NX sessions (accessed
by an NX3 client) on a Linux Desktop (i,.e. MATE, XFCE)

The steps taken to produce the bug:
 - Start a GUI-based Application (for testing, use the Linux System
Monitor, open the "Resources" tab)
 - Suspend the x2go session.
 - Some time later, resume the session.  The GUI now continues
running, but it had stalled while the session was suspended.

The client machine's OS: Windows 7 SP1
The client machine's version of X2GoClient: 4.0.3.0
The server's OS: Centos 7
The server's version of the x2goserver package: 4.0.1.18-1.el7  x86_64
The server's version of the x2goserver-xsession package: 4.0.1.18-1.el7 x86_64
The server's version of the nxagent package:3.5.0.27-1.el7 x86_64


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#673; Package x2goserver. (Thu, 08 Jan 2015 22:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 22:50:02 GMT) Full text and rfc822 format available.

Message #10 received at 673@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jerry Rabe <jdr@wi.rr.com>, 673@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#673: GUI-based Applications stall when x2go session is suspended
Date: Thu, 08 Jan 2015 22:47:57 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 nxagent
Control: severity -1 important

HI Jerry,

On  Do 13 Nov 2014 17:12:23 CET, Jerry Rabe wrote:

> When an x2go session is suspended, any running GUI-based application
> will stall as soon as it tries to update graphical information in the
> GUI.  This was not the case with the old freenx server, and it is a
> problem for large jobs that take a long time to run.  Not sure if this
> is just a configuration/install problem.
> What does NOT stall:
>  - Text-based output from command line-based shell scripts.
>  - GUI-based applications running in suspended x2go sessions as
> Published Applications.
> What DOES Stall:
>  - GUI-based applications running in suspended x2go sessions (accessed
> by X2GoClient) on a Linux Desktop (i,.e. MATE, XFCE)
>  - GUI-based applications running in suspended NX sessions (accessed
> by an NX3 client) on a Linux Desktop (i,.e. MATE, XFCE)
>
> The steps taken to produce the bug:
>  - Start a GUI-based Application (for testing, use the Linux System
> Monitor, open the "Resources" tab)
>  - Suspend the x2go session.
>  - Some time later, resume the session.  The GUI now continues
> running, but it had stalled while the session was suspended.
>
> The client machine's OS: Windows 7 SP1
> The client machine's version of X2GoClient: 4.0.3.0
> The server's OS: Centos 7
> The server's version of the x2goserver package: 4.0.1.18-1.el7  x86_64
> The server's version of the x2goserver-xsession package:  
> 4.0.1.18-1.el7 x86_64
> The server's version of the nxagent package:3.5.0.27-1.el7 x86_64

this is an issue that needs to be addressed soon.

Reassigning to nxagent package and raising severity...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goserver' to 'nxagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 673-submit@bugs.x2go.org. (Thu, 08 Jan 2015 22:50:02 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 673-submit@bugs.x2go.org. (Thu, 08 Jan 2015 22:50:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#673; Package nxagent. (Fri, 15 May 2015 13:55:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 May 2015 13:55:03 GMT) Full text and rfc822 format available.

Message #19 received at 673@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: jdr@wi.rr.com
Cc: 673@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#673: GUI-based Applications stall when x2go session is suspended
Date: Fri, 15 May 2015 13:53:16 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Re-Cc:ing #637 (got dropped off from the list of recipients with the  
previous post)

Closing this issue on user request. I remember to have seen something  
similar in X2Go sessions, but some tests today confirm that there is  
no such issue on my setups.

Greets,
Mike

On  Fr 09 Jan 2015 04:02:12 CET, Jerry Rabe wrote:

> Mike,
>
> As it turns out, it was just yesterday that I found that this bug
> seems to be fixed in the latest version!  My post actually was
> incorrect in that I had observed the issue on x2goserver package
> 4.0.1.15 instead of 4.0.1.18 (at that time anything above 4.0.1.15
> wasn't working due to some unknown system incompatibility).  But
> yesterday I did a full system "yum update" on all three of our Centos
> 7 machines, and not only is x2goserver 4.0.1.18-4.el7 working well,
> but the GUI hang issue is now non-existent!  From my perspective, you
> can move this issue to closed.
>
> You are doing a wonderful job on this project, and it is very
> impressive.  Thank you.
>
> One other thing I just noticed.  If the system goes down ungracefully,
> the x2go fuse-based shared drives do not get unmounted, and
> subsequently will not re-mount after a reboot.  I finally fixed it by
> removing /var/lib/x2go/x2go_sessions and re-installing x2goserver.  Is
> there an easier way to fix this?
>
> --
> Jerry Rabe
>
>
> On Thu, Jan 8, 2015 at 4:47 PM, Mike Gabriel
> <mike.gabriel@das-netzwerkteam.de> wrote:
>> Control: reassign -1 nxagent
>> Control: severity -1 important
>>
>> HI Jerry,
>>
>> On  Do 13 Nov 2014 17:12:23 CET, Jerry Rabe wrote:
>>
>>> When an x2go session is suspended, any running GUI-based application
>>> will stall as soon as it tries to update graphical information in the
>>> GUI.  This was not the case with the old freenx server, and it is a
>>> problem for large jobs that take a long time to run.  Not sure if this
>>> is just a configuration/install problem.
>>> What does NOT stall:
>>> - Text-based output from command line-based shell scripts.
>>> - GUI-based applications running in suspended x2go sessions as
>>> Published Applications.
>>> What DOES Stall:
>>> - GUI-based applications running in suspended x2go sessions (accessed
>>> by X2GoClient) on a Linux Desktop (i,.e. MATE, XFCE)
>>> - GUI-based applications running in suspended NX sessions (accessed
>>> by an NX3 client) on a Linux Desktop (i,.e. MATE, XFCE)
>>>
>>> The steps taken to produce the bug:
>>> - Start a GUI-based Application (for testing, use the Linux System
>>> Monitor, open the "Resources" tab)
>>> - Suspend the x2go session.
>>> - Some time later, resume the session.  The GUI now continues
>>> running, but it had stalled while the session was suspended.
>>>
>>> The client machine's OS: Windows 7 SP1
>>> The client machine's version of X2GoClient: 4.0.3.0
>>> The server's OS: Centos 7
>>> The server's version of the x2goserver package: 4.0.1.18-1.el7  x86_64
>>> The server's version of the x2goserver-xsession package: 4.0.1.18-1.el7
>>> x86_64
>>> The server's version of the nxagent package:3.5.0.27-1.el7 x86_64
>>
>>
>> this is an issue that needs to be addressed soon.
>>
>> Reassigning to nxagent package and raising severity...
>>
>> Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Digitale_PGP_Signatur (application/pgp-signature, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 673-submit@bugs.x2go.org. (Fri, 15 May 2015 13:55:03 GMT) Full text and rfc822 format available.

Notification sent to Jerry Rabe <jdr@wi.rr.com>:
Bug acknowledged by developer. (Fri, 15 May 2015 13:55:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 13 Jun 2015 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jun 20 13:15:14 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.